<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @mixin IdeHelperContacts
 */
class Contacts extends Model
{
    protected $fillable = [
        'name',
        'surname',
        'companyName',
        'phone',
        'email',
        'message',
        'listing_id',
        'user_id'
    ];

    public function listing()
    {
        return $this->belongsTo(Listing::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }


}
